//___________________________________________________________________
//
//                         BoxSizer Header
//___________________________________________________________________

extern Function 
	lBoxSizer, lBoxSizerDestroy,
	lBoxSizerAdd;

class BoxSizer: public wxBoxSizer
{
	public:
		BoxSizerNodeP boxSizerNode;

		BoxSizer(BoxSizerNodeP boxSizerNode_, int orient_);
		~BoxSizer();

		wxString wxstring();
		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);
};
typedef BoxSizer *BoxSizerP;

class BoxSizerNode: public Node
{
	public:
		BoxSizerP boxSizer;
		int orient;
		PairP children;

		static const BoxSizerNode aBoxSizerNode;

		operator_new;

		BoxSizerNode();

		void free();

		void inc_gc();
		int youngs();
		int youngsPtr();
		void check_oldyoungs();
		
		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);
		void setPtrs(), aftersetPtrs2();

		StringP string();
		wxString wxstring();
		StringP _typeof();

		void bigSwitch(NodeP arg, wxWindow *&win, wxSizer *&sizer);
		NodeP bigArgSwitch(NodeP arg, wxWindow *&win, wxSizer *&sizer);
};
