//___________________________________________________________________
//
//                         Error Header
//___________________________________________________________________

extern Function 
	lerror, lpause, lcontinue;

enum ErrorType
{
	FATAL, 
	OUT_OF_MEM, 
	STACK_OVERFLOW, 
	TURTLE_OUT_OF_BOUNDS,
	BAD_DATA_UNREC, 
	DIDNT_OUTPUT, 
	NOT_ENOUGH, 
	BAD_DATA, 
	TOO_MUCH,
	DK_WHAT, 
	PAREN_MISMATCH, 
	NO_VALUE, 
	UNEXPECTED_PAREN, 
	DK_HOW,
	NO_CATCH_TAG, 
	ALREADY_DEFINED, 

	STOP_ERROR, 
	ALREADY_DRIBBLING,
	FILE_ERROR, 
	IF_WARNING, 
	SHADOW_WARN, 
	USER_ERR, 
	IS_PRIM,
	NOT_INSIDE, 
	DK_HOW_UNREC, 
	NO_TEST, 
	UNEXPECTED_BRACKET,
	UNEXPECTED_BRACE, 
	BAD_GRAPH_INIT, 
	ERR_MACRO,
	DK_WHAT_UP, 
	AT_TOPLEVEL, 
	APPLY_BAD_DATA, 
	DEEPEND,
	OUT_OF_MEM_UNREC,
	NOT_YET_SUPPORTED,
};

extern ErrorType erract_errtype;
extern NodeP throw_node;
extern PairP err_mesg;

extern void error_print();

extern PairP error(ErrorType error_type, NodeP error_desc=0, int nr=1);
