#ifndef Pair_included
	#include "Pair.h"
#endif

#ifndef Line_included

class Line: public Pair
{
	public:
		int number;
		StringP filename;

		static int nr, readnr;
		static StringP fn;
		static PairP filenames;
		static const Line aLine;
		operator_new;

		Line() {type=LINE; _tail=0; _first=0; number=0; filename=0;}
		Line(NodeP first_, NodeP tail_)
			{type=LINE; setfirst(first_); settail(tail_);}
		Line(NodeP first_, NodeP tail_, NodeType type_)
			{type=type_; setfirst(first_); settail(tail_);}

		void setPtrs();
		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP _typeof();

		static void init();
		static StringP findFile(StringP filename_);
};

#define Line_included
#endif
