#ifndef Node_included
	#include "Node.h"
#endif

#ifndef UInt8_included

class UInt8: public Node
{
	public: 
		unsigned char int_;
		static const unsigned char digits, max;
		static const UInt8 aUInt8;

		operator_new;
		UInt8():       Node(UINT8), int_(0) {}
		UInt8(unsigned char i): Node(UINT8), int_(i) {}

		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP   string();
		   int   numberP() {return 1;}
		double getnumber() {return int_;}
		 NodeP    number() {return this;}

		OPERATORS_DECL
		int compare(NodeP nd);
		int _sizeof();
		StringP _typeof();
		double _min(double d), _max(double d);
		NodeP Norm(), maxNorm(), 
			item(NodeP index, NodeP result),
			bititem(NodeP index),
			setitem(NodeP index, NodeP newitem, bool safe),
			memberP(NodeP subobj, bool notp, bool substr),
			readbin(FileP file);
		PairP list();

		static unsigned char clip(double d), clip(int i);
};

	#define UInt8_included
#endif
