#ifndef Node_included
	#include "Node.h"
#endif

#ifndef Int_included

class Int: public Node
{
	public: 
		int int_;
		static const int digits, min, max, umax;
		static const __int64 i64max;
		static const Int aInt;
		static int genSymNr;

		operator_new;
		Int():      Node(INT_), int_(0) {}
		Int(int i): Node(INT_), int_(i) {}

		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP   string();
		   int   numberP() {return 1;}
		double getnumber() {return int_;}
		 NodeP    number() {return this;}

		OPERATORS_DECL
		int compare(NodeP nd);
		int _sizeof();
		StringP _typeof();
		double _min(double d), _max(double d);
		NodeP Norm(), maxNorm(), 
			item(NodeP index, NodeP result),
			bititem(NodeP index),
			setitem(NodeP index, NodeP newitem, bool safe),
			memberP(NodeP subobj, bool notp, bool substr),
			readbin(FileP file);
		PairP list();
		void setPixelXY(NodeP yin, NodeP color);
		void setPixelXYZ(NodeP yin, NodeP zin, NodeP color);
		void setXYZ(NodeP ynode, NodeP znode);

		static void init(), seedMT(unsigned long seed);
		static unsigned long reloadMT(), randomMT();
		static int Remainder(int x, int d), mod(int x, int d), 
			random(int max), gcd(int a, int b),
			clip(double d);
};

	#define Int_included
#endif
