#ifndef Node_included
	#include "Node.h"
#endif

#ifndef Int8_included

class Int8: public Node
{
	public: 
		char int_;
		static const char digits, min, max;
		static const Int8 aInt8;

		operator_new;
		Int8():       Node(INT8), int_(0) {}
		Int8(char i): Node(INT8), int_(i) {}

		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP   string();
		   int   numberP() {return 1;}
		double getnumber() {return int_;}
		 NodeP    number() {return this;}

		OPERATORS_DECL
		int compare(NodeP nd);
		int _sizeof();
		StringP _typeof();
		double _min(double d), _max(double d);
		NodeP Norm(), maxNorm(), 
			item(NodeP index, NodeP result),
			bititem(NodeP index),
			setitem(NodeP index, NodeP newitem, bool safe),
			memberP(NodeP subobj, bool notp, bool substr),
			readbin(FileP file);
		PairP list();

		static char clip(double d), clip(int i);
};

	#define Int8_included
#endif
