//___________________________________________________________________
//
//                        Class MemoryWindow
//___________________________________________________________________

class wxClientDC;
class wxTipWindow;

class MemoryFrame: public wxFrame
{
	public:
		MemoryWindow *memoryWindow;

		MemoryFrame(wxWindow* parent_, wxWindowID id, 
						const wxString& title, 
						const wxPoint& pos, 
						const wxSize& size, 
						long style, 
						const wxString& name);

		bool Destroy();

		DECLARE_EVENT_TABLE()
};

class MemoryWindow: public wxScrolledWindow
{
	public:
		bool inMouseMove;
		int width, height, blockx, blocky, blocksx, palsize;
		ColorP palette, paletteBGR;
		wxClientDC *dc;
		wxPen *pen;
		wxBrush *brush;
		wxTipWindow *tip;
		wxWindow *parent;

		MemoryWindow(wxWindow* parent_, wxWindowID id, 
			const wxString& title, 
			const wxPoint& pos = wxDefaultPosition, 
			const wxSize& size = wxDefaultSize, 
			long style = wxDEFAULT_FRAME_STYLE, 
			const wxString& name = "MemoryWindow");

		~MemoryWindow();

		void updateNode(NodeP nd),
			OnPaint		(wxPaintEvent &event);

	protected:
		void 
			OnErase(wxEraseEvent &event),
			OnSize(wxSizeEvent  &event),
			OnMouseMove(wxMouseEvent &event);

		DECLARE_EVENT_TABLE()
};

extern MemoryWindow *memoryWindow;