//___________________________________________________________________
//
//                            Class Pen
//___________________________________________________________________

class Pen // I know this is a really roughish one...
{        // If anyone wants to structure it better then go for it.
		  // Many methods of this class are machine-specific and 
		 // therefore defined in the appropriate section.
	public:
		static Color palette[16];

		enum Mode {Paint, Erase, Reverse};
		enum WinMode {NOP, WIN_ERASE, WIN_DOWN, WIN_REVERSE};
		enum R2Ops {XOR_PEN, COPY_PEN};

		bool down, wide, roundLineEnds;
		Mode internalMode;
		WinMode mode;
		
		Point size, size_rotated;

		Color color, rawcolor, floodcolor;
		int pattern;

		Pen();
		~Pen();
		
		void create(Color color_), destroy();

		void setColor(Color color_) {destroy(); create(color_);}

		void setPattern(int pattern),
			setListPattern(NodeP);

		int getPattern();
		NodeP getNodePenPattern();

		Pen &operator=(const Pen &b);

		static Color rgb(int c);
		static Color rgb(double r, double g, double b);
		static Color rgba(double r, double g, double b, double a);
		static Color hsb(double r, double g, double b);
		static Color hsba(double r, double g, double b, double a);
		static PairP rehsb(double r, double g, double b);
		static PairP rehsba(double r, double g, double b, double a);
		static int realcolor(int c) {if (c & 0xfffffff0) return c; else return palette[c];}

		static void init();

	friend wxTextInputStream &operator>>(wxTextInputStream &istr, Pen &p);
	friend wxTextOutputStream &operator<<(wxTextOutputStream &ostr, Pen &p);
	friend wxDataInputStream &operator>>(wxDataInputStream &istr, Pen &p);
	friend wxDataOutputStream &operator<<(wxDataOutputStream &ostr, Pen &p);
};
