#ifndef Node_included
	#include "Node.h"
#endif

class Procedure: public Node
{
	PairP _formals, _bodylist, _bodywords;

	public:
		char min, std, max;
		static const Procedure aProcedure;

		operator_new;
		Procedure() { }
		Procedure(PairP formals_, PairP bodylist_, PairP bodywords_, 
					   char min_, char std_, char max_);

		PairP formals()  {return _formals;}
		PairP bodylist() {return _bodylist;}
		PairP bodywords(){return _bodywords;}

		void setformals  (PairP nd) { _formals =nd;  check_oldyoung(nd);}
		void setbodylist (PairP nd) {_bodylist =nd;  check_oldyoung(nd);}
		void setbodywords(PairP nd) {_bodywords=nd;  check_oldyoung(nd);}

		void inc_gc() {fifo << formals() << bodylist() << bodywords();}
		int youngs() 
		{	return gmark(formals())
					+gmark(bodylist())
					+gmark(bodywords());
		}
		int youngsPtr() 
		{	return gmarkPtr(formals())
					+gmarkPtr(bodylist())
					+gmarkPtr(bodywords());
		}
		void check_oldyoungs() 
		{	check_oldyoung(formals()); 
			check_oldyoung(bodylist()); 
			check_oldyoung(bodywords());
		}

		void setPtrs();
		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP _typeof();

		void untreeify();
		PairP get_bodywords(NodeP name);

		PairP gather_args(PairPP args, bool inparen, ObjectPP ifnode);

		static PairP gather_some_args(
			int min, int max, PairPP args, bool inparen, ObjectPP ifnode);
};

#define Procedure_included
