#ifndef Node_included
	#include "Node.h"
#endif

class Turtle;

class TurtleNode: public Node
{
	public:
		Turtle *turtle;
		GraphNodeP graphNode;

		static const TurtleNode aTurtleNode;

		operator_new;
		TurtleNode(): Node(TURTLE_), turtle(0) {}
		TurtleNode(Turtle *turtle_, GraphNodeP graphNode_);

		void free();

		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);
		void setPtrs();

		StringP string();
		StringP _typeof();
};

#define TurtleNode_included
